<template>
  <div class="q-py-md">
    <q-card class="q-mx-md">
      <q-card-section>
        <div class="column">
          <div class="col items-start">
            <div v-html="description"></div>
          </div>
          <div class="col self-end">
            <div class="text-subtitle2">{{ createdAt }}</div>
          </div>
        </div>
      </q-card-section>

      <q-separator />

      <q-card-actions
        class="q-gutter-x-md">
        <q-btn
          flat
          :color="endorseColor"
          icon-right="fas fa-angle-up"
          v-on:click="$emit('endorsement', 1)">
          Endorse
        </q-btn>
        <div class="text-subtitle2">{{ netEndorsementValue }}</div>
        <q-btn
          flat
          :color="denyColor"
          icon="fas fa-angle-down"
          v-on:click="$emit('endorsement', -1)">
          Deny
        </q-btn>
      </q-card-actions>
    </q-card>
  </div>
</template>

<script>
export default {
  name: 'FeedPost',

  data () {
    return {}
  },

  props: {
    createdAt: {
      type: String
    },
    description: {
      type: String
    },
    endorseColor: {
      type: String
    },
    netEndorsementValue: {
      type: Number
    },
    denyColor: {
      type: String
    }
  },

  mounted () {
    this.$emit('consensus')
  }
}
</script>
